NUMBEROPERBINEXPR(3)

NAME
numberOperBinExpr - returns the number of equivalent binary operators in an expression

SYNOPSYS
#include "logmmm.h"
int numberOperBinExpr(expr)
chain_list *expr;

PARAMETER

expr
    expression

DESCRIPTION
numberOperBinExpr() returns the number of equivalent binary operators of expr.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
expr1 = charToExpr("(nor a (and b (and c (and d e))))");
expr2 = charToExpr("(nor a (and b c d e))");
printf("%d,numberOperBinExpr(expr1));
printf("%d,numberOperBinExpr(expr2));
/* it will display
4
4
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), charToExpr(3), profExpr(3), lengthExpr(3), equalExpr(3), equalVarExpr(3), searchExpr(3), searchOperExpr(3).